import { getModule, Module, MutationAction, VuexModule } from 'vuex-module-decorators';
import store from '@/store';
import http from '@/utils/request';
import { url } from '@/utils/url';
import { session } from '@/store/modules/session';
class OrderInInfo {
  checked?: boolean;
  poNo?: string;
  kw?: string;
  userDefined10?: string;
  orderStatus?: string;
}
@Module({
  namespaced: true,
  dynamic: true,
  store,
  name: 'Semi-finished-rowTransfer',
})
export class rowTransfer extends VuexModule {
  cboPlaceList = [];
  poNo = '';
  orderInInfo: OrderInInfo = new OrderInInfo();
  orderInInfoList: OrderInInfo[] = [];
  materielList = [];
  code = '';
  @MutationAction
  async takeYKOrder(order3: any) {
    const res: any = await http.post(url.warehouse.rowTransfer.listByOrder, {
      ...order3,
      orderType: 'SFG',
      page: 1,
      rows: 50,
      factoryCode: session.factoryCode,
      loginName: session.loginName,
    });
    console.log('res', res);
    const code = res.code;
    const orderInInfoList = res.data.records;
    const materielList = orderInInfoList.map((item: any) => ({
      label: item.productCode,
      value: item.productCode,
      ...item,
    }));
    console.log('materielList', materielList);
    return { orderInInfoList, materielList, code };
  }
  SearchCode: any = '';
  SearchCodeList: any = '';
  @MutationAction
  async SearchBarcode(params: any) {
    const res: any = await http.post(url.warehouse.rowTransfer.getOdsRawStorageSnNew, {
      factoryCode: session.factoryCode,
      loginName: session.loginName,
      ...params,
    });
    console.log('rrrrr', res);
    const SearchCode = res.code;
    const SearchCodeList = res.data;
    return { SearchCode, SearchCodeList };
  }
  @MutationAction
  async onTakeoutConfirm(list: any) {
    const records: any = await http.post(url.warehouse.rowTransfer.commit, list);
    const code = records.code;
    return { code };
  }
  submitCode: any = '';
  @MutationAction
  async submit(submitList: any) {
    const res: any = await http.post(url.warehouse.rowTransfer.confirmMove, submitList);
    console.log(res);
    const submitCode = res.code;
    return { submitCode };
  }
  detailList: any = [];
  @MutationAction
  async queryDetail(proMoveCode: any) {
    const res = await http.post(url.warehouse.rowTransfer.queryListByMoveCode, {
      factoryCode: session.factoryCode,
      loginName: session.loginName,
      proMoveCode,
    });
    const detailList = res.data;
    return { detailList };
  }
  @MutationAction
  async empty() {
    const materielList = null;
    return { materielList };
  }
}
export default getModule(rowTransfer);
